<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__gap__oob__data__param__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_gap_oob_data_param_t</compoundname>
    <includes local="no">cy_ble_stack_gap.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__gap__oob__data__param__t_1a2ee19423191af33a0190e17337fddfe8" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_gap_oob_data_param_t::bdHandle</definition>
        <argsstring />
        <name>bdHandle</name>
        <briefdescription>
<para>Peer bdHandle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" bodystart="771" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="771" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gap__oob__data__param__t_1a5837709b0734948f2a2765bfdfcddba2" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_gap_oob_data_param_t::status</definition>
        <argsstring />
        <name>status</name>
        <briefdescription>
<para>Status corresponding to this event will be HCI error code as defined in BLE spec 4.2. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" bodystart="775" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="775" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gap__oob__data__param__t_1a03e1b97c54f6d1d6f2b958aaa4d2b10d" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* cy_stc_ble_gap_oob_data_param_t::key</definition>
        <argsstring />
        <name>key</name>
        <briefdescription>
<para>Rand for OOB. </para>        </briefdescription>
        <detaileddescription>
<para>This is also stored in BLE Stack </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" bodystart="778" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="778" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gap__oob__data__param__t_1a60c8db4a9d6398cbadd6f0d83140c515" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* cy_stc_ble_gap_oob_data_param_t::oobData</definition>
        <argsstring />
        <name>oobData</name>
        <briefdescription>
<para>OOB Data using 'key' and local Public Key. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" bodystart="781" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="781" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gap__oob__data__param__t_1ad1f40f8b534089199e376dc5b3fe2436" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_gap_oob_data_param_t::oobDataLen</definition>
        <argsstring />
        <name>oobDataLen</name>
        <briefdescription>
<para>Length of OOB data which is 16 Bytes for Secure connections. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" bodystart="784" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="784" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>OOB data. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="786" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" bodystart="768" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="769" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__gap__oob__data__param__t_1a2ee19423191af33a0190e17337fddfe8" virt="non-virtual"><scope>cy_stc_ble_gap_oob_data_param_t</scope><name>bdHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__gap__oob__data__param__t_1a03e1b97c54f6d1d6f2b958aaa4d2b10d" virt="non-virtual"><scope>cy_stc_ble_gap_oob_data_param_t</scope><name>key</name></member>
      <member prot="public" refid="structcy__stc__ble__gap__oob__data__param__t_1a60c8db4a9d6398cbadd6f0d83140c515" virt="non-virtual"><scope>cy_stc_ble_gap_oob_data_param_t</scope><name>oobData</name></member>
      <member prot="public" refid="structcy__stc__ble__gap__oob__data__param__t_1ad1f40f8b534089199e376dc5b3fe2436" virt="non-virtual"><scope>cy_stc_ble_gap_oob_data_param_t</scope><name>oobDataLen</name></member>
      <member prot="public" refid="structcy__stc__ble__gap__oob__data__param__t_1a5837709b0734948f2a2765bfdfcddba2" virt="non-virtual"><scope>cy_stc_ble_gap_oob_data_param_t</scope><name>status</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>